Subject: Re: [PATCH v15 mfd 9/9] mfd: ocelot: add support for the vsc7512 chip via spi

From: Colin Foster <[email-masked]>
Date: Fri, 5 Aug 2022 11:07:04 -0700

On Fri, Aug 05, 2022 at 07:58:06PM +0200, Andy Shevchenko wrote:
> On Fri, Aug 5, 2022 at 7:44 PM Colin Foster
> <[email-masked]> wrote:
> >
> > As I'm going through Andy's suggestions, I came across a couple more
> > include changes / misses:
> >
> > On Tue, Aug 02, 2022 at 10:47:28PM -0700, Colin Foster wrote:
> 
> ...
> 
> > > +int ocelot_chip_reset(struct device *dev)
> >
> > #include <linux/device.h>
> 
> Nope,
> 
> struct device;
> 
> ...
> 
> > > +static int ocelot_spi_initialize(struct device *dev)
> >
> > #include <linux/device.h>
> 
> Ditto.

ocelot-spi.c uses devm_kzalloc, so that should still be included.

ocelot-core.c uses dev_get_drvdata.

So I think I still want the includes... but for different reasons.

> -- 
> With Best Regards,
> Andy Shevchenko